classification
Title: PyEval_GetRestricted should be removed from C API reference
Type: Stage: needs patch
Components: Documentation Versions: Python 3.0, Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: brett.cannon, georg.brandl, jmillikin
Priority: normal Keywords:

Created on 2009-12-16 00:27 by jmillikin, last changed 2009-12-19 17:36 by georg.brandl. This issue is now closed.

Messages (3)
msg96471 - (view) Author: John Millikin (jmillikin) Date: 2009-12-16 00:27
In
<http://docs.python.org/3.1/c-api/reflection.html#PyEval_GetRestricted>,
the PyEval_GetRestricted() procedure does not exist. HISTORY indicates
it was removed during the 3.0 development cycle. It ought to be removed
from the docs as well.
msg96592 - (view) Author: John Millikin (jmillikin) Date: 2009-12-18 23:48
Ditto Py_GetBuildNumber() <
http://docs.python.org/3.1/c-api/init.html#Py_GetBuildNumber > -- only
mentioned in docs and HISTORY, nothing in the headers or source. Appears
to have been removed.
msg96619 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-12-19 17:36
Thanks, fixed in r76883, r76884, r76885.
History
Date User Action Args
2009-12-19 17:36:21georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg96619
2009-12-18 23:48:10jmillikinsetmessages: + msg96592
2009-12-16 19:22:04brett.cannonsetpriority: normal
nosy: + brett.cannon

stage: needs patch
2009-12-16 00:27:50jmillikincreate